Qr codes

Get a QR code

GET
/qr-codes/{id}

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key from Settings → API keys, sent as Authorization: Bearer ezqr_…. Requires the Max plan.

Path Parameters

id*string

The QR code's id

Formatuuid

Response Body

The QR code

application/json
  1. response
data*
curl -X GET 'https://ez-qr.com/api/v1/qr-codes/497f6eca-6276-4993-bfeb-53cbbbba6f08'
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "type": "static",    "contentType": "string",    "content": "string",    "targetUrl": "string",    "shortCode": "string",    "style": {},    "isActive": true,    "totalScans": 0,    "scheduledStart": "2019-08-24T14:15:22Z",    "expiresAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}